﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Drawing;
using System.Windows.Forms;
using HeuristicLab.Common.Resources;

namespace HeuristicLab.Visualization {
  public class ZoomOutChartMode : ChartMode {
    public override Image Image { get { return VSImageLibrary.ZoomOut; } }
    public override string Text { get { return "Zoom &Out"; } }
    public override string ToolTipText { get { return "Zoom Out"; } }
    public override Cursor Cursor {
      get { return cursor ?? (cursor = new Cursor(typeof(ChartControl), "Resources.ZoomOut.cur")); }
    }

    public ZoomOutChartMode(ChartControl control) : base(control) { }

    public override void HandleOnMouseUp(object sender, MouseEventArgs e) {
      try {
        switch (e.Button) {
          case MouseButtons.Left:
            chartControl.Chart.ZoomOut();
            break;
          case MouseButtons.Middle:
            chartControl.Chart.Unzoom();
            break;
        }
      } finally {
        base.HandleOnMouseUp(sender, e);
      }
    }
  }
}
